CREATE OR REPLACE VIEW food600.sklapkykarty
 AS
 SELECT karty.c_karty,
    umdruhy.id_kas,
    umdruhy.c_data
   FROM food600.umdruhy
     JOIN food600.karty ON umdruhy.c_data = karty.c_data AND umdruhy.c_druhk = karty.c_druhk
UNION
 SELECT umisteni.c_karty,
    umisteni.id_kas,
    umisteni.c_data
   FROM food600.umisteni
     JOIN food600.karty ON umisteni.c_data = karty.c_data AND umisteni.c_karty = karty.c_karty;
